import { Plugin, PluginKey } from "prosemirror-state";
import { CodeBlockSettings, LanguageLoaders } from "./types";
import { codeMirrorBlockNodeView } from "./codeMirrorBlockNodeView";
import { codeBlockArrowHandlers } from "./utils";
import { CodeBlockLanguages, LegacyLanguages } from "./languages";
import { defaultSettings } from "./defaults";
import languageLoaders, { legacyLanguageLoaders } from "./languageLoaders";
export declare const codeMirrorBlockKey: PluginKey<any>;
declare const codeMirrorBlockPlugin: (settings: CodeBlockSettings) => Plugin<any>;
export default codeMirrorBlockPlugin;
export { codeMirrorBlockNodeView, codeBlockArrowHandlers, codeMirrorBlockPlugin, CodeBlockSettings, LanguageLoaders, CodeBlockLanguages, LegacyLanguages, defaultSettings, languageLoaders, legacyLanguageLoaders, };
